ON_EmbeddedFile Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_bitmap.h>`

Inheritance diagram for ON_EmbeddedFile:

## Public Member Functions

| ON_EmbeddedFile ()
| ON_EmbeddedFile (const ON_EmbeddedFile &src)
ON_EmbeddedFile & | operator= (const ON_EmbeddedFile &src)
virtual | ~ON_EmbeddedFile ()
void | EmergencyDestroy ()
void | Destroy ()
void | DestroyBuffer ()
bool | Create (const wchar_t *filename, bool bCompress)
bool | Create (FILE *fp, bool bCompress)
bool | Create (const void *source_buffer, ON__UINT64 sizeof_source_buffer, bool bCompress)
bool | Extract (const wchar_t *destination_filename) const
bool | Extract (FILE *fp) const
bool | Extract (void *buffer) const
const wchar_t * | FullFileName () const
const wchar_t * | RelativeFileName () const
ON_UUID | Id () const
void | SetId (ON_UUID id)
void | SetFullFileName (const wchar_t *full_file_name)
void | SetRelativeFileName (const wchar_t *relative_file_name)
ON__UINT64 | FileSize () const
ON__UINT64 | FileLastModifiedTime () const
ON__UINT32 | FileCRC () const
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
ON_BOOL32 | Write (ON_BinaryArchive &) const
ON_BOOL32 | Read (ON_BinaryArchive &)
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual void | Dump (ON_TextLog &) const
virtual unsigned int | SizeOf () const
virtual ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
virtual ON::object_type | ObjectType () const
virtual ON_UUID | ModelObjectId () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Public Attributes

ON_UUID | m_id
ON_wString | m_full_file_name
ON_wString | m_relative_file_name
ON__UINT64 | m_file_size
ON__UINT64 | m_file_time
ON__UINT32 | m_file_crc
ON__UINT32 | m_buffer_crc
ON_Buffer | m_buffer
unsigned char | m_bCompressedBuffer

## Detailed Description

Definition at line 84 of file opennurbs_bitmap.h.

## Constructor & Destructor Documentation

ON_EmbeddedFile::ON_EmbeddedFile | ( |  | ) |

ON_EmbeddedFile::ON_EmbeddedFile | ( | const ON_EmbeddedFile & | src | ) |

virtual ON_EmbeddedFile::~ON_EmbeddedFile | ( |  | ) |

virtual

## Member Function Documentation

bool ON_EmbeddedFile::Create | ( | const wchar_t * | filename,
|  | bool | bCompress
| ) |  |

bool ON_EmbeddedFile::Create | ( | FILE * | fp,
|  | bool | bCompress
| ) |  |

bool ON_EmbeddedFile::Create | ( | const void * | source_buffer,
|  | ON__UINT64 | sizeof_source_buffer,
|  | bool | bCompress
| ) |  |

void ON_EmbeddedFile::Destroy | ( |  | ) |

void ON_EmbeddedFile::DestroyBuffer | ( |  | ) |

void ON_EmbeddedFile::EmergencyDestroy | ( |  | ) |

bool ON_EmbeddedFile::Extract | ( | const wchar_t * | destination_filename | ) | const

bool ON_EmbeddedFile::Extract | ( | FILE * | fp | ) | const

bool ON_EmbeddedFile::Extract | ( | void * | buffer | ) | const

ON__UINT32 ON_EmbeddedFile::FileCRC | ( |  | ) | const

ON__UINT64 ON_EmbeddedFile::FileLastModifiedTime | ( |  | ) | const

ON__UINT64 ON_EmbeddedFile::FileSize | ( |  | ) | const

const wchar_t* ON_EmbeddedFile::FullFileName | ( |  | ) | const

ON_UUID ON_EmbeddedFile::Id | ( |  | ) | const

ON_BOOL32 ON_EmbeddedFile::IsValid | ( | ON_TextLog * | text_log = `NULL` | ) | const

virtual

Implements ON_Object.

ON_EmbeddedFile& ON_EmbeddedFile::operator= | ( | const ON_EmbeddedFile & | src | ) |

ON_BOOL32 ON_EmbeddedFile::Read | ( | ON_BinaryArchive & |  | ) |

virtual

Reimplemented from ON_Object.

const wchar_t* ON_EmbeddedFile::RelativeFileName | ( |  | ) | const

void ON_EmbeddedFile::SetFullFileName | ( | const wchar_t * | full_file_name | ) |

void ON_EmbeddedFile::SetId | ( | ON_UUID | id | ) |

void ON_EmbeddedFile::SetRelativeFileName | ( | const wchar_t * | relative_file_name | ) |

ON_BOOL32 ON_EmbeddedFile::Write | ( | ON_BinaryArchive & |  | ) | const

virtual

Reimplemented from ON_Object.

## Member Data Documentation

unsigned char ON_EmbeddedFile::m_bCompressedBuffer

Definition at line 224 of file opennurbs_bitmap.h.

ON_Buffer ON_EmbeddedFile::m_buffer

Definition at line 223 of file opennurbs_bitmap.h.

ON__UINT32 ON_EmbeddedFile::m_buffer_crc

Definition at line 222 of file opennurbs_bitmap.h.

ON__UINT32 ON_EmbeddedFile::m_file_crc

Definition at line 219 of file opennurbs_bitmap.h.

ON__UINT64 ON_EmbeddedFile::m_file_size

Definition at line 217 of file opennurbs_bitmap.h.

ON__UINT64 ON_EmbeddedFile::m_file_time

Definition at line 218 of file opennurbs_bitmap.h.

ON_wString ON_EmbeddedFile::m_full_file_name

Definition at line 210 of file opennurbs_bitmap.h.

ON_UUID ON_EmbeddedFile::m_id

Definition at line 209 of file opennurbs_bitmap.h.

ON_wString ON_EmbeddedFile::m_relative_file_name

Definition at line 211 of file opennurbs_bitmap.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_bitmap.h